> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List maintenance windows

> Get a paginated list of maintenance windows



## OpenAPI

````yaml get /uptime/maintenance-windows
openapi: 3.0.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
  - name: Platform
    description: Platform
  - name: Integrations
    description: Integrations
  - name: Maintenance Windows
    description: Maintenance Windows
paths:
  /uptime/maintenance-windows:
    get:
      tags:
        - Maintenance Windows
      summary: List maintenance windows
      description: Get a paginated list of maintenance windows
      operationId: getUptimeMaintenanceWindows
      parameters:
        - name: monitor_id
          in: query
          description: >-
            Filter maintenance windows by monitor ID. Can be specified multiple
            times to filter by multiple monitor IDs.
          required: false
          style: form
          explode: true
          schema:
            type: integer
        - name: status_page_id
          in: query
          description: >-
            Filter maintenance windows by status page ID. Can be specified
            multiple times to filter by multiple status page IDs.
          required: false
          style: form
          explode: true
          schema:
            type: integer
        - name: state
          in: query
          description: Filter maintenance windows by state.
          required: false
          schema:
            $ref: '#/components/schemas/Uptime.MaintenanceWindow.StateEnum'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/per_page'
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '200':
          description: Success, maintenance windows retrieved
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          description: Maintenance window ID
                          type: integer
                          example: 1
                        project_id:
                          description: Parent project ID
                          type: integer
                          example: 1
                        state:
                          $ref: >-
                            #/components/schemas/Uptime.MaintenanceWindow.StateEnum
                        monitoring_mode:
                          $ref: >-
                            #/components/schemas/Uptime.MaintenanceWindow.MonitoringModeEnum
                        title:
                          description: Maintenance window title
                          type: string
                          example: Database upgrade
                          maximum: 250
                          minimum: 1
                        description:
                          description: Description of the maintenance window
                          type: string
                          example: Planned database upgrade and maintenance
                          nullable: true
                        starts_at:
                          description: Date and time when the maintenance window starts
                          type: string
                          format: date-time
                        ends_at:
                          description: Date and time when the maintenance window ends
                          type: string
                          format: date-time
                        monitors:
                          description: List of monitor IDs linked to the maintenance window
                          type: array
                          items:
                            type: integer
                          example:
                            - 1
                            - 2
                            - 3
                        status_pages:
                          description: >-
                            List of status page IDs linked to the maintenance
                            window
                          type: array
                          items:
                            type: integer
                          example:
                            - 1
                            - 2
                        created_at:
                          description: Date of creation for the entity
                          type: string
                          format: date-time
                        updated_at:
                          description: Date of last update for the entity
                          type: string
                          format: date-time
                      required:
                        - title
                        - monitoring_mode
                        - starts_at
                        - ends_at
                  meta:
                    $ref: '#/components/schemas/meta'
                  links:
                    $ref: '#/components/schemas/links'
                type: object
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  schemas:
    Uptime.MaintenanceWindow.StateEnum:
      type: string
      enum:
        - scheduled
        - in_progress
        - completed
        - cancelled
    Uptime.MaintenanceWindow.MonitoringModeEnum:
      type: string
      enum:
        - pause
        - mute
        - normal
    meta:
      description: Meta data for pagination
      properties:
        current_page:
          type: integer
          example: 2
        from:
          type: integer
          example: 11
        to:
          type: integer
          example: 20
        per_page:
          type: integer
          example: 100
        path:
          type: string
          example: https://api.phare.io/{resource}?page=2
      type: object
    links:
      description: Links for pagination
      properties:
        first:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=2
        last:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=10
          nullable: true
        prev:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=1
          nullable: true
        next:
          type: string
          format: url
          example: https://api.phare.io/{resource}?page=1
          nullable: true
      type: object
  parameters:
    page:
      name: page
      in: query
      description: Page number to show
      required: false
      schema:
        type: integer
        example: 1
        default: 1
    per_page:
      name: per_page
      in: query
      description: Number of resources to return per page
      required: false
      schema:
        type: integer
        example: 20
        default: 20
        maximum: 100
        minimum: 1
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthorized
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The platform:write permission is required to perform this
                  action.
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````